This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458085 - Review Request: nes_ntsc - Provides a NES NTSC video filtering library
Review Request: nes_ntsc - Provides a NES NTSC video filtering library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 09:59 EDT by David Timms
Modified: 2008-09-24 20:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-12 10:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)
diff between original dribble spec0.2.0 and this spec. (3.95 KB, text/plain)
2008-08-06 10:11 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2008-08-06 09:59:18 EDT
Spec URL: http://members.iinet.net.au/~timmsy/nes_ntsc/nes_ntsc.spec
SRPM URL: 
http://members.iinet.net.au/~timmsy/nes_ntsc/nes_ntsc-0.2.2-1.fc9.src.rpm

Description:
NES NTSC video filter library. Pixel artifacts and color mixing play an 
important role in NES games console graphics. Accepts pixels in native 6-bit
NES palette format, or a 9-bit format that includes the three color emphasis
bits in PPU register $2001. Can also output an RGB palette for use in a 
regular blitter
Comment 1 David Timms 2008-08-06 10:11:39 EDT
Created attachment 313566 [details]
diff between original dribble spec0.2.0 and this spec.

I request some assistance regarding lib sonames. This library has previously been packaged and used by out of Fedora repo applications as libnes_ntsc.so.0.2.0

Have I gone about the soname change in an effective way ?
Should I keep the original 0.2.0 soname instead ?
Comment 2 David Timms 2008-08-06 10:12:06 EDT
I plan on up/packaging upstreams other *_ntsc libs. The author mentions the latest release include a source cleanup and refactoring, so that some files are now identical between the 3x *_ntsc sources. Would it be acceptable/worth the effort to create a single libntsc package, that includes all three upstream source packages, with sub packages for -nes, -snes, -sms ?
Comment 3 Andrea Musuruane 2008-08-06 11:39:12 EDT
(In reply to comment #2)
> I plan on up/packaging upstreams other *_ntsc libs. The author mentions the
> latest release include a source cleanup and refactoring, so that some files are
> now identical between the 3x *_ntsc sources. Would it be acceptable/worth the
> effort to create a single libntsc package, that includes all three upstream
> source packages, with sub packages for -nes, -snes, -sms ?

IMHO it is not worth the trouble and you could have a serious drawback. What if upstream update just -sms? You should make a new release for all three - and this is something unneeded by both end users (who would download a release for -nes and -snes for nothing) and for infrastructure (who would build a release for -nes and -snes for nothing).

Separate packages is the way to go if upstream have separate independent sources.
Comment 4 David Timms 2008-08-06 17:49:34 EDT
(In reply to comment #3)
...
> Separate packages is the way to go if upstream have separate independent
> sources.
Thanks, I thought that might be the case.
Comment 5 Hans de Goede 2008-09-10 04:13:21 EDT
Full review done, no problems found: Approved!
Comment 6 David Timms 2008-09-11 04:07:37 EDT
Excellent, thanks Hans.

New Package CVS Request
=======================
Package Name: nes_ntsc
Short Description: Provides a NES NTSC video filtering library
Owners: dtimms@iinet.net.au
Branches: F-8 F-9
InitialCC:
Comment 7 David Timms 2008-09-11 04:21:57 EDT
One further question: when a reference spec is used as the basis for a Fedora spec, is there a preference on keeping the original changelog entries ?
I see value in acknowledging previous contributors and issues that occurred in getting the spec to it's pre-fedora state. On the other hand, is it allowed to include those old changelog entries ?
Comment 8 Andrea Musuruane 2008-09-11 04:35:50 EDT
(In reply to comment #7)
> One further question: when a reference spec is used as the basis for a Fedora
> spec, is there a preference on keeping the original changelog entries ?
> I see value in acknowledging previous contributors and issues that occurred in
> getting the spec to it's pre-fedora state. On the other hand, is it allowed to
> include those old changelog entries ?

It is fine to keep the original entries. For example, I kept the old entries from hatari when I migrated it from Dribble to Fedora.
Comment 9 Huzaifa S. Sidhpurwala 2008-09-11 04:59:01 EDT
cvs done
Comment 10 Fedora Update System 2008-09-12 08:45:50 EDT
nes_ntsc-0.2.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nes_ntsc-0.2.2-1.fc9
Comment 11 Fedora Update System 2008-09-12 08:45:53 EDT
nes_ntsc-0.2.2-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/nes_ntsc-0.2.2-1.fc8
Comment 12 Rakesh Pandit 2008-09-12 08:56:18 EDT
Correcting the status and assigning the request to j.w.r.degoede@hhs.nl

Thanks,
Comment 13 Fedora Update System 2008-09-24 20:03:05 EDT
nes_ntsc-0.2.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-09-24 20:23:55 EDT
nes_ntsc-0.2.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.